Subject: Re: bug#56372: 29.0.50; [PATCH] Avoid BadMatch X11 error

From: po lu <[email-masked]>
Date: Mon, 04 Jul 2022 14:05:44 +0800

Po Lu <[email-masked]> writes:

> x_ignore_errors_for_next_request and x_stop_ignoring_errors don't call
> XSync (unlike the usual error handling and checking functions) -- they
> only make a note of the range of requests made inside them, so the
> x_error_handler knows that it should ignore the error.  This is done for
> speed, since syncing is slow, especially over connections with high
> latency.

I reproduced the bug with a GTK build.  It should be fixed now, please
test.